User Heat Pumps
Get schedules for a heat pump
Endpoint to retrieve schedules for a specified heat pump within a given time range. This endpoint is currently in beta release and may be subject to changes.
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
heat-pumps
/
{heat_pump_id}
/
schedules
Get schedules for a heat pump
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/heat-pumps/{heat_pump_id}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/heat-pumps/{heat_pump_id}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/heat-pumps/{heat_pump_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"requested_at": "<string>",
"query": {
"org_id": "<string>",
"user_id": "<string>",
"heat_pump_id": "<string>",
"from": "<string>",
"to": "<string>"
},
"error": ""
},
"data": [
{
"time": "<string>",
"state": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
The user ID of the user whom the heat pump belongs to
The ID of the specified heat pump
Query Parameters
The start of the time range for the data
The end of the time range for the data
Was this page helpful?
⌘I
Get schedules for a heat pump
